V1.0
post
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/freeze
Freezes the subject-level record and all eligible visit, form, item, repeating, lab, and visit start date freeze records for the supplied subject.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
8D05217A464C42E3A10541E44BADE754
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest for freezing all eligible data for one or more subjects.
Show Source
-
subjects: array
subjects
Subject identifiers to freeze.
Nested Schema : subjects
Type:
arraySubject identifiers to freeze.
Show Source
-
Array of:
string
Subject identifiers to freeze.Example:
["AF77C6450BE94DE293C9630142E0AFAD","F1A1D8A137D74D57937B9F7BEF3A9CC1"]
Example:
[
"AF77C6450BE94DE293C9630142E0AFAD",
"F1A1D8A137D74D57937B9F7BEF3A9CC1"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}400 Response
Bad request.
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}